Page MenuHomePhabricator

Story Builder
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session
Main topic: Handling wiki content beyond plaintext

The problem

Let's envision a new way to pull together resources from multiple WMF sources to tell a story.
Imagine T107595: [RFC] Multi-Content Revisions as a sort of backend backbone -- an article can contain a bunch of different chunks, with some of them perhaps being indirect pointers to other resources (images, maps, etc). What sort of structure do we need to tie these together and lay them out? What sort of resources can we build? What kind of stories can we tell?

This proposal is inspired by @TheDJ's https://www.mediawiki.org/wiki/Wikimedia_User_Interface/Concepts/Story_builder

Expected outcome

Envisioning some concrete steps or a strawman proposal for a "skeleton" format which would allow building a story from a collection of resources.

Current status of the discussion

See the link above. I'm submitting this partly from bookkeeping purposes, and to record a long-ish discussion @cscott and @TheDJ had on IRC. I envision this session at the dev summit tying together a number of related proposals; see "links" in the section below. So I'm not thinking of this as a top-level session so much as one component in a session which includes this and also the linked topics below.

I'm hoping that @TheDJ, in conversation with @Husky, can create an example of a multimedia story that could be part of our projects, using WMF resources. This concrete example can spur discussion in the linked proposals below about which tools/ideas are necessary to actually allow authoring a story like the prototype.

Links

Event Timeline

cscott created this task.Nov 10 2016, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2016, 6:25 PM

Lightly edited transcript of conversation today between @TheDJ and @cscott. "Free flow thinking", not final thoughts, of course.

(12:02:28 PM) thedj: i think the story builder is a really interesting concept
(12:02:52 PM) thedj: there is a market for people willing to work on things like that.
(12:03:03 PM) thedj: it reuses tons of stuff that we currently have
(12:03:05 PM) cscott-free: it's especially interesting to me in the context of some of the "video first" or "VR first" article ideas that were floated at wikimania: https://en.wikipedia.org/wiki/User:Cscott/Ideas
(12:03:13 PM) thedj: exactly
(12:03:29 PM) thedj: and it can live independent from other communities at the same time.
(12:03:38 PM) cscott-free: so you can 'remix' a story about (say) "square dance in china" around a video clip showing the actual thing
(12:03:42 PM) thedj: pinterest, snapchat, youtube. it's all about story telling.
(12:04:06 PM) thedj: also look at older encyclopedias, before 1900s. much about storytelling
(12:04:11 PM) cscott-free: it would let WP still be "text form articles", while still allowing us to build new projects built around other ways of presenting information
(12:04:19 PM) thedj: exactly
(12:04:25 PM) cscott-free: while still tying the projects together
(12:05:00 PM) thedj: you give people space by creating a boundary, but at the same time using the lack of boundaries at a ton of other place
(12:05:00 PM) cscott-free: take https://en.wikipedia.org/wiki/The_Nutcracker_(Balanchine)#Staging for example
(12:05:12 PM) cscott-free: that section really shouldn't be text only.
(12:05:34 PM) cscott-free: or https://en.wikipedia.org/wiki/Sign_language#Spatial_grammar_and_simultaneity
(12:06:31 PM) thedj: and i don't need enwiki to agree with whether or not that is a good space to have, you just need impassioned people that want to fill that void and find new contributors.
(12:06:55 PM) thedj: and it being close enough to our overall vision of course that we would want to host it.
(12:07:02 PM) thedj: but that's about it.
(12:07:05 PM) cscott-free: right [..] -- let's build some new content. that's the greatest motivator to continuing to develop tools to support that new content.
(12:07:19 PM) thedj: wikivoyage also sort of falls into that type of crowd of story telling btw.
(12:07:40 PM) cscott-free: yeah. and could also use video/VR/map chunks of the story
(12:07:45 PM) cscott-free: as well as better links to WP
(12:07:45 PM) thedj: exactly
(12:08:18 PM) thedj: and by being less focused on the encyclopedia (with it's format and community limitations), we might create more and better final return on investment.
(12:09:00 PM) thedj: see maps, which basically at the end of the story was fed mostly by wikivoyage needs, and engineering interest.
(12:09:38 PM) thedj: we all sort of know that that will work into wikipedia at some point, but we haven't quite figured out how exactly, nor are we forcing it unto people every step of the way.
(12:11:08 PM) cscott-free: there's T107595: [RFC] Multi-Content Revisions, which is sort of a backend part of Story Creator; what's missing is the meta-level: how do you specify a skeleton to tie all the chunks together?
(12:12:54 PM) thedj: the serialization language would be the most interesting indeed.
(12:13:17 PM) thedj: from a technical point of view interesting
(12:13:21 PM) cscott-free: and maybe you actually want some of the chunks to be indirect references
(12:13:32 PM) thedj: i think most likely
(12:14:13 PM) cscott-free: so you could say, "pull this map from <foo>", "pull this image from commons", "add the following story text", "lay it out according to template <xyz>"
(12:14:23 PM) thedj: hay [@Husky] might have some ideas.. he writes multimedia stories for a dutch newspaper.
(12:14:51 PM) cscott-free: i'd certainly like to pull out the [[File:]] references from inline in the article content, i'd like to decouple the article text from the figures, so we can lay things out in different ways.
(12:15:10 PM) cscott-free: are you/hay coming to the dev summit?
(12:15:22 PM) thedj: i'm coming, not sure about hay. I doubt it actually.
(12:15:50 PM) thedj: but i'll meet him again at the dutch wiki conf in a week.
(12:16:02 PM) thedj: i'll make a point to rattle his brain on this :)
(12:16:08 PM) cscott-free: i'd love to continue this discussion as part of the topic i'm facilitating at the dev summit
(12:16:21 PM) cscott-free: it would be great to have a concrete proposal, even a strawman.
(12:16:31 PM) cscott-free: actually, maybe not a proposal so much as a sample "story"
(12:16:50 PM) cscott-free: like, this is what we'd like a story to look like. now let's imagine the technology that could make it possible to author this on our platform.
(12:16:55 PM) thedj: maybe hay would want to help me build an example.
(12:17:22 PM) thedj: and otherwise, I can at least grab some of his and other's content.
(12:20:19 PM) cscott-free: that would be great
(12:20:44 PM) cscott-free: it's definitely in-scope for https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Handling_wiki_content_beyond_plaintext
[...]
(12:28:11 PM) thedj: good talking to you, glad to see ideas floating around !
(12:28:27 PM) cscott-free: do you mind if i copy/paste some of this discussion into a phab task?
(12:29:03 PM) thedj: no, no problem. just put a "free flow thinking"-note on it :)
(12:29:08 PM) cscott-free: will do

Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptNov 10 2016, 8:21 PM
TheDJ added a comment.EditedNov 10 2016, 8:30 PM

Some further notes:

Even as a mental exercise, thinking out something like this might be very useful. It forces and allows you to go outside of common boundaries that our current projects impose on us. And from that creativity a multitude of ideas could arise, useful or not.

Also if anyone wants to skunkworks this: This doesn't have to be in MediaWiki initially, you possibly could just build a first version of this out of git + MediaWiki apis on a wmflabs instance.

Restricted Application added subscribers: Poyekhali, Matanya. · View Herald TranscriptNov 10 2016, 8:30 PM
Qgil added a subscriber: Qgil.Nov 11 2016, 10:38 AM

Do you have any problem in this becoming an Unconference session? The deadline for submitting proposals for sessions aiming to be pre-scheduled was 10 days ago.

@Qgil as I wrote in the "current status of discussion" section, my current plan is to combine this in a session with other related topic proposals. So I'd like to keep this in the "prescheduled session" category, at least until I actually finalize all the sessions. If it turns out not to fit, I'll bump it back over to unconference.

I'm exercising a little bit of discretion as a facilitator to try to broaden these sessions and include perspectives other than my own! Since I got drafted late as a facilitator, I didn't really have the opportunity to recruit others' good ideas for my sessions until quite late.

Jonas added a subscriber: Jonas.

We need to go ahead with the deadlines and apply consistent criteria across proposals. This session was submitted late, and since then has registered no discussion. It is a new idea in a way, pulling concepts from other discussions. I think it is a very interesting potential discussion but, as of today, it looks like such discussion could perfectly happen in the context of the Unconference.

@TheDJ @cscott Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

As a Summit proposal, this topic will be part of T151952: Media, Visualizations, and Layout at Wikidev'17.

This task has a live of its own though, so I am just removing it from the Summit workboard.

TheDJ closed this task as Resolved.Apr 14 2017, 12:11 PM